import Taro, { Component } from '@tarojs/taro'
import { View, RichText } from '@tarojs/components'
import Statement from '../../components/Statement'
import ContactConsultant from '../../components/ContactConsultant'
import { connect } from '@tarojs/redux'

import './index.scss'

@connect(({ house }) => ({ house }))
export default class Protocol extends Component {
  config = {
    navigationBarTitleText: '线上选房协议',
  }

  state = {

  }

  render() {
    const { buildingId } = this.$router.params
    const { house } = this.props

    return (
      <View className="protocal-box">
        <View className="content">
          <RichText nodes={house.onlineProtocol} />
        </View>
        <View className="contact">
          <ContactConsultant text="如有问题，请联系置业顾问" buildingId={buildingId} />
        </View>
        <Statement />
      </View>
    )
  }
}
